Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Padparameters
id
string
vereist
Unique identifier for the evaluation rule.
Koptekstparameters
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Aanvraagbody
Evaluation rule resource
id
string
vereist
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
vereist
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
vereist
evalId
string
vereist
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
vereist
templateId
string
vereist
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
vereist
Filter by agent name.
eventType
string | enum
vereist
Type of the evaluation rule event.
enum
enabled
boolean
vereist
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
vereist
System metadata for the evaluation rule.
Antwoorden
The request has succeeded.
Hoofdtekst
id
string
vereist
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
vereist
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
vereist
evalId
string
vereist
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
vereist
templateId
string
vereist
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
vereist
Filter by agent name.
eventType
string | enum
vereist
Type of the evaluation rule event.
enum
enabled
boolean
vereist
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
vereist
System metadata for the evaluation rule.
Aanvraag
PUT /evaluationrules/{id} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json